Toggle a curation's curated status
const url = 'https://api.tryletterhead.com/api/v3/curations/toggle/example?api=true';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"curated":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://api.tryletterhead.com/api/v3/curations/toggle/example?api=true' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "curated": true }'Mark a curation as curated (ready to use in a newsletter) or not, without changing anything else about it.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The curation’s unique identifier, from List curations or Curate or update content.
Query Parameters
Section titled “Query Parameters ”Required. Set to true to authenticate with your company API key rather than a signed-in session.
Request Body required
Section titled “Request Body required ”object
Example
{ "curated": true}Responses
Section titled “ Responses ”Curated status updated.
object
The shape a curation is returned in after Toggle a curation’s curated status, Update a curation, or Update a curation’s tags — a lighter shape than the one List curations returns, without internal identifiers.
object
Content type — 0 articles, 1 events, 2 AI-generated, 3 WordPress, 4 RSS, 5 browser extension, 6 Zapier, 7 JSON data feed.
Present only when the curation has at least one custom field value set, keyed by the custom field’s key (see List curation custom fields).
object
Example
{ "items": { "uniqueId": "cur_8x2mle4kq9", "title": "How coffee prices are shaping this year's harvest", "curated": true, "publicationDate": "2026-08-30 09:00:00", "updatedAt": "2026-09-01T08:00:00+00:00" }, "message": "Article status updated.", "total": 1}Still can’t find what you need? Contact support.